/**
 * FileName: ApiUserCertificateVo
 * Author:   wenjunlong
 * Date:     2018/4/18 10:09
 * Description: app端和前端展示用vo
 * History:
 * <author>          <time>          <version>          <desc>
 * 作者姓名           修改时间           版本号              描述
 */
package com.yizhi.certificate.application.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * 〈一句话功能简述〉<br> 
 * 〈app端和前端展示用vo〉
 *
 * @author wenjunlong
 * @create 2018/4/18
 * @since 1.0.0
 */
@Data
public class ApiUserCertificateVo {

    @ApiModelProperty(value = "主键id")
    private Long id;

    @ApiModelProperty(value = "证书id")
    private Long certificateId;

    @ApiModelProperty(value = "创建时间")
    private Date createTime;

    @ApiModelProperty(value = "失效时间")
    private Date endTime;

    @ApiModelProperty(value = "证书名称")
    private String certificateTitle;

    @ApiModelProperty(value = "证书缩略图")
    private String certificateLogourl;

    @ApiModelProperty(value = "证书是否有效 1 有效 0 无效")
    private String status;

    @ApiModelProperty(value = "项目名")
    private String trainingProjectName;

}
