package com.yizhi.certificate.application.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 获取某个活动发放数量
 * @author dingxiaowei
 * Date: 2020/01/13
 */
@Data
@ApiModel(
        value = "CertificateNumParam",
        description = "获取某个活动发放数量"
)
public class CertificateNumParam {

    @ApiModelProperty("活动id")
    Long bizdId;

    @ApiModelProperty("学员id")
    Long accountId;

    @ApiModelProperty("关联类型 0:培训项目 1:课程")
    Integer type;

    @ApiModelProperty("开始时间")
    String startTime;

    @ApiModelProperty("结束时间")
    String endTime;
}
