package com.yizhi.certificate.application.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
@ApiModel(value = "证书排名列表", description = "CertificateUserListVo")
public class CertificateUserListVO {

	@ApiModelProperty("用户id")
	private Long accountId;

	@ApiModelProperty("用户名")
	private String userName;

	@ApiModelProperty("姓名")
	private String name;

	@ApiModelProperty("所在部门")
	private String orgName;

	@ApiModelProperty("工号")
	private String workNum;

	@ApiModelProperty("职位")
	private String position;

	@ApiModelProperty("总证书")
	private String totalCertificate;

	@ApiModelProperty("用户状态")
	private boolean accountState;

	@ApiModelProperty("起始日期")
	private String startDate;

	@ApiModelProperty(value = "公司ID")
    private Long companyId;

	@ApiModelProperty(value = "部门ID")
    private Long orgId;

	@ApiModelProperty(value = "站点ID")
    private Long siteId;
}
