package com.yizhi.certificate.application.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

@Data
@ApiModel(value = "CertificateUserParamVO", description = "证书排名")
public class CertificateUserParamVO {

	@ApiModelProperty("用户名")
	private String userName;

	private String orgNameLike;
	
	@ApiModelProperty("用户集合")
	private List<Long> accountIds;

	private Long siteId;

	private Long companyId;

	private Long orgId;
	
	private Long accountId;
	
	private Integer pageNo;
	
	private Integer pageSize;

	private  List<Long> orgIds;
}
