package com.yizhi.certificate.application.vo;
/**
 * Created with report.
 * User:zhuwenwen
 * Date: 2018/3/9
 * Time: 13:25
 */

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 证书vo类
 */
@Data
public class CertificateVo {


    private Long id;

    @ApiModelProperty(value = "证书编号")
    private String code;

    @ApiModelProperty(value = "发行机构")
    private String issuer;

    @ApiModelProperty(value = "证书标题")
    private String title;

    @ApiModelProperty(value = "模板")
    private String template;

    @ApiModelProperty(value = "证书标签，用，分割")
    private String tags;

    @ApiModelProperty(value = "企业id")
    
    private Long companyId;

    @ApiModelProperty(value = "部门id")
    
    private Long orgId;

    @ApiModelProperty(value = "广告url")
    private String logourl;

    @ApiModelProperty(value = "过期类型")
    private Integer type;

    @ApiModelProperty(value = "固定周期数")
    private Integer circleCount;

    @ApiModelProperty(value = "失效日期")
    private String endTime;

    @ApiModelProperty(value = "证书状态")
    private Integer status;

    @ApiModelProperty(value = "过期单位")
    private String circleUnit;

    
    private Long templateId;

    
    private String templateImage;

    @ApiModelProperty(value = "站点id")
    
    private Long siteId;

}
