package com.yizhi.certificate.application.vo;

import com.yizhi.core.application.context.RequestContext;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 发放证书请求类
 * @author dingxiaowei
 * Date: 2019/12/25
 */
@Data
@ApiModel(
        value = "PushCertificateParam",
        description = "发放证书请求类"
)
public class PushCertificateParam {

    @ApiModelProperty("证书id")
    Long certificateId;

    @ApiModelProperty("培训项目/课程id")
    Long bizdId;

    @ApiModelProperty("培训项目/课程名称")
    String bizdName;

    @ApiModelProperty("关联类型 0:培训项目 1:课程")
    Integer type;

    @ApiModelProperty("用户信息上下文")
    RequestContext res;

    @ApiModelProperty("分数")
    String score;


}
