package com.yizhi.certificate.application.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * 关联培训项目请求类
 * @author dingxiaowei
 * Date: 2019/12/25
 */
@Data
@ApiModel(
        value = "RelateCertificateParam",
        description = "关联培训项目请求类"
)
public class RelateCertificateParam {

    @ApiModelProperty("证书id")
    List<Long> certificateIds;

    @ApiModelProperty("培训项目/课程id")
    Long bizdId;

    @ApiModelProperty("培训项目/课程名称")
    String bizdName;

    @ApiModelProperty("计划id")
    Long tpPlanId;

    @ApiModelProperty("计划名称")
    String tpPlanName;

    @ApiModelProperty("关联类型 0:培训项目 1:课程")
    Integer type;

}
