package com.yizhi.certificate.application.vo;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * 证书解析VO类 
 */

@Data
@Api(tags="TrCertificateTemplateVO",description="证书解析VO类")
public class TrCertificateTemplateVO {

	private static final long serialVersionUID = 1L;
	
	 @ApiModelProperty(value = "CERTIFICATE_ANALYSIS_ERROR")
	private String CERTIFICATE_ANALYSIS_ERROR;
	
	 @ApiModelProperty(value = "自定义证书解析错误")
	private String CERTIFICATE_ANALYSIS_ERROR_MSG;
	
	 @ApiModelProperty(value = "TEMPLATE_CREATE_ERROR")
	private String TEMPLATE_CREATE_ERROR;
	
	 @ApiModelProperty(value = "自定义模板信息保存失败")
	private String TEMPLATE_CREATE_ERROR_MAG;
	




    private Long id;

    @ApiModelProperty(value = "模板url")

    private String templateUrl;

    @ApiModelProperty(value = "模板类型")

    private Integer type;

    @ApiModelProperty(value = "模板缩略图")

    private String templateImage;

    @ApiModelProperty(value = "模板名称")

    private String templateName;


    private Long createById;


    private String createByName;


    private Date createTime;



}
