package com.yizhi.certificate.application.vo;


import com.yizhi.certificate.application.vo.domain.TrUserCertificateVo;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * *
 *
 * @author ding
 * @date 2019/3/22
 */
@Data
public class TrUserCertificateDetailsVo extends TrUserCertificateVo {

    @ApiModelProperty(value = "用户名")
    private String userName;

    @ApiModelProperty(value = "姓名")
    private String fullName;

    @ApiModelProperty(value = "工号")
    private String workNum;

    @ApiModelProperty(value = "职务")
    private String position;

    @ApiModelProperty(value = "是否启用")
    private Integer accountState;

    @ApiModelProperty(value = "部门名称")
    private String orgName;

    @ApiModelProperty(value = "部门id")
    private Long orgId;

    @ApiModelProperty("关联类型 0:培训项目 1:课程")
    private Integer relateType;

}
