package com.yizhi.certificate.application.vo;


import com.baomidou.mybatisplus.annotations.TableField;
import com.baomidou.mybatisplus.enums.FieldFill;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;


@Data
public class TrUserCertificatePcVo {

    @ApiModelProperty(value = "主键id")
    private Long id;

    @ApiModelProperty(value = "学员id")
    private Long userId;

    @ApiModelProperty(value = "证书id")
    private Long certificateId;

    @TableField(value = "create_by_id", fill = FieldFill.INSERT)
    private Long createById;

    @TableField(value = "create_by_name", fill = FieldFill.INSERT)
    private String createByName;

    @TableField(value = "create_time", fill = FieldFill.INSERT)
    private Date createTime;

    @TableField("company_id")
    private Long companyId;

    @ApiModelProperty(value = "企业名称")
    private String companyName;

    @ApiModelProperty(value = "账号id")
    private Long accountId;

    @ApiModelProperty(value = "账号名")
    private String accountName;

    private String userName;

    private String trainingProjectName;

    private Long trainingProjectId;

    private String issuer;

    @ApiModelProperty(value = "失效时间")
    private Date endTime;

    @ApiModelProperty(value = "得分")
    private String score;

    @ApiModelProperty(value = "证书名称")
    private String certificateTitle;

    @ApiModelProperty(value = "证书缩略图")
    private String certificateLogourl;

    @ApiModelProperty(value = "学员证书生成图片")
    private String userImage;

    @ApiModelProperty(value = "学员证书生成图片相对路径")
    private String unOssImage;

    @ApiModelProperty(value = "站点id")
    private Long siteId;

    @ApiModelProperty(value = "过期类型")
    private Integer type;



}
