package com.yizhi.certificate.application.vo.domain;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * <p>
 * 学员证书中间表
 * </p>
 *
 * @author dingxiaowei123
 * @since 2019-12-30
 */
@Data
@ApiModel(value = "RelationActivities", description = "学员证书中间表")

public class RelationActivitiesVo {

    private static final long serialVersionUID = 1L;


    @ApiModelProperty(value = "主键id")
	private Long id;

    @ApiModelProperty(value = "证书id")
	
	private Long certificateId;

    @ApiModelProperty(value = "关联活动类型0:培训项目 1:课程")
	
	private Integer bizdType;

    @ApiModelProperty(value = "活动名称")
	
	private String bizdName;

    @ApiModelProperty(value = "活动id")
	
	private Long bizdId;

    @ApiModelProperty(value = "如果是培训项目关联计划id")
	
	private Long tpPlanId;

    @ApiModelProperty(value = "如果是培训项目,计划名称")
	
	private String tpPlanName;

	
	private Long createById;

	
	private String createByName;

	
	private Date createTime;

	
	private Long updateById;

	
	private String updateByName;

	
	private Date updateTime;

	
	private Long companyId;

	
	private Long siteId;

    @ApiModelProperty(value = "关联状态 0:无效 1:有效")
	
	private Integer relationState;



}
