package com.yizhi.certificate.application.vo.domain;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 学员证书中间表
 * </p>
 *
 * @author fulan123
 * @since 2018-03-07
 */
@Data
@Api(tags = "TrUserCertificate", description = "学员证书中间表")

public class TrUserCertificateVo {

    private static final long serialVersionUID = 1L;


    @ApiModelProperty(value = "主键id")
    private Long id;

    @ApiModelProperty(value = "学员id")
    
    private Long userId;

    @ApiModelProperty(value = "证书id")
    
    private Long certificateId;

    
    private Long createById;

    
    private String createByName;

    
    private Date createTime;

    
    private Long companyId;

    @ApiModelProperty(value = "企业名称")
    
    private String companyName;

    @ApiModelProperty(value = "账号id")
    
    private Long accountId;

    @ApiModelProperty(value = "账号名")
    
    private String accountName;

    
    private String userName;

    
    private String trainingProjectName;

    
    private Long trainingProjectId;

    
    private Integer bizdType;

    private String issuer;

    @ApiModelProperty(value = "失效时间")
    
    private Date endTime;

    @ApiModelProperty(value = "得分")
    private String score;

    @ApiModelProperty(value = "证书名称")
    
    private String certificateTitle;

    @ApiModelProperty(value = "证书缩略图")
    
    private String certificateLogourl;

    @ApiModelProperty(value = "学员证书生成图片")
    
    private String userImage;

    @ApiModelProperty(value = "站点id")
    
    private Long siteId;

    @ApiModelProperty(value = "过期类型")
    
    private Integer type;

    @ApiModelProperty(value = "证书编号")
    
    private String certificateCode;

    
    private Long tpPlanId;

    @ApiModelProperty(value = "计划名称")
    
    private String tpPlanName;

    protected Serializable pkVal() {
        return this.id;
    }

}
