package com.yizhi.certificate.application.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

@Data
public class ApiSeachCerticateVo {

    @ApiModelProperty(value = "证书名称")
    private String title;

    @ApiModelProperty(value = "证证书类型:1为有效，0为失效")
    private String validityType = "1";

    private Long companyId;

    private List<Long> orgId;

    private Long siteId;

    private Integer pageNo;

    private Integer pageSize;

    private Long accountId;

}
