package com.yizhi.certificate.application.vo;

import com.yizhi.certificate.application.vo.domain.CertificateVo;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * <p>
 * <p>
 * </p>
 *
 * @author ding
 * @since 2019-12-24
 */
@Data
@Api(tags = "CertificateListVO", description = "证书列表类(改版)")
public class CertificateListVO extends CertificateVo {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("证书获证人数")
    private Integer grantNum;

    @ApiModelProperty("所属分类名称")
    private String classifyName;

    @ApiModelProperty("关联活动数")
    private Integer relationNum;

    @ApiModelProperty("一级分类id")
    private Long oneLevelId;

    @ApiModelProperty("二级分类id")
    private Long twoLevelId;

}
