package com.yizhi.certificate.application.vo;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 证书列表入参VO
 * @author Fairyland
 *
 */

@Data
@Api(tags="CertificateVoList",description="证书VO列表")
public class CertificateVoList {
	
	private static final long serialVersionUID = 1L;
	
	@ApiModelProperty(value = "证书标题")
	private String title;
	
	@ApiModelProperty(value = "证书状态")
	private Integer status;
	
	@ApiModelProperty(value = "角色")
	private Integer level;
	
	@ApiModelProperty(value = "企业id")
	private Long companyId;
	
	@ApiModelProperty(value = "站点id")
	private Long siteId;
	
	@ApiModelProperty(value = "部门id集合")
	private String [] orgIds;
	
	@ApiModelProperty(value = "部门id")
	private Long orgId;
	
	@ApiModelProperty(value = "要跳转的页数")
	private Integer pageNo;
	
	@ApiModelProperty(value = "每页显示的条数")
	private Integer pageSize;
	
	
	
}
