package com.yizhi.certificate.application.vo.domain;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 证书模板表
 * </p>
 *
 * @author fulan123
 * @since 2018-03-07
 */
@Data
@Api(tags = "TrCertificateTemplate", description = "证书模板表")

public class TrCertificateTemplateVo{

    private static final long serialVersionUID = 1L;


    private Long id;

    @ApiModelProperty(value = "模板url")
    
    private String templateUrl;

    @ApiModelProperty(value = "模板类型")
    
    private Integer type;

    @ApiModelProperty(value = "模板缩略图")
    
    private String templateImage;

    @ApiModelProperty(value = "模板名称")
    
    private String templateName;

    
    private Long createById;

    
    private String createByName;

    
    private Date createTime;

    protected Serializable pkVal() {
        return this.id;
    }

}
