package com.yizhi.certificate.application.config;

import com.yizhi.certificate.application.domain.Certificate;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.ComponentScan;
import org.springframework.context.annotation.Configuration;
import org.springframework.web.servlet.config.annotation.WebMvcConfigurerAdapter;
 
/**
 * Created with report.
 * User:zhuwenwen
 * Date: 2018/3/8
 * Time: 10:26
 */

/**
 * 配置文件
 */
@Configuration
@ComponentScan("com.yizhi.certificate.application.config")
public class CertificateConfig extends WebMvcConfigurerAdapter {


    /**
     * 实例化一个证书对象
     * @return
     */
    @Bean(name = "certificate")
    public Certificate certificate(){
        return new Certificate();
    }

}
