package com.yizhi.certificate.application.mapper;

import com.yizhi.certificate.application.domain.CertificateClassify;
import com.baomidou.mybatisplus.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;

/**
 * <p>
 *  Mapper 接口
 * </p>
 *
 * @author dingxiaowei123
 * @since 2019-12-23
 */
public interface ClassifyMapper extends BaseMapper<CertificateClassify> {

    /**
     * 获取目前最大分类编码
     * @param companyId
     * @param siteId
     * @return
     */
    Integer getMaxCode(@Param("companyId") Long companyId,@Param("siteId") Long siteId);

    /**
     * 获取分类关联证书数
     * @param id
     * @param companyId
     * @param siteId
     * @return
     */
    Integer getRelationNum(@Param("id") Long id, @Param("companyId") Long companyId,@Param("siteId") Long siteId);
}
